summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohannes Huber <johu@gentoo.org>2017-02-28 20:06:11 +0100
committerJohannes Huber <johu@gentoo.org>2017-02-28 20:29:35 +0100
commit5f87254116bbae60df086b5659c7fe3fe05475a5 (patch)
tree891efbc864a894bd5baed0fcf33f9645f08f8eb5 /kde-plasma/kscreenlocker/kscreenlocker-5.9.3.ebuild
parentx11-misc/evolvotron: fix build with gcc6, bug #597266 (diff)
downloadgentoo-5f87254116bbae60df086b5659c7fe3fe05475a5.tar.gz
gentoo-5f87254116bbae60df086b5659c7fe3fe05475a5.tar.bz2
gentoo-5f87254116bbae60df086b5659c7fe3fe05475a5.zip
kde-plasma: Version bump KDE Plasma 5.9.3
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'kde-plasma/kscreenlocker/kscreenlocker-5.9.3.ebuild')
-rw-r--r--kde-plasma/kscreenlocker/kscreenlocker-5.9.3.ebuild89
1 files changed, 89 insertions, 0 deletions
diff --git a/kde-plasma/kscreenlocker/kscreenlocker-5.9.3.ebuild b/kde-plasma/kscreenlocker/kscreenlocker-5.9.3.ebuild
new file mode 100644
index 000000000000..d60d3b54e4e0
--- /dev/null
+++ b/kde-plasma/kscreenlocker/kscreenlocker-5.9.3.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_TEST="forceoptional"
+VIRTUALX_REQUIRED="test"
+inherit kde5 pam
+
+DESCRIPTION="Library and components for secure lock screen architecture"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="pam"
+
+COMMON_DEPEND="
+ $(add_frameworks_dep kcmutils)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kcrash)
+ $(add_frameworks_dep kdeclarative)
+ $(add_frameworks_dep kglobalaccel)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kidletime)
+ $(add_frameworks_dep knotifications)
+ $(add_frameworks_dep kpackage)
+ $(add_frameworks_dep ktextwidgets)
+ $(add_frameworks_dep kwayland)
+ $(add_frameworks_dep kwindowsystem)
+ $(add_frameworks_dep kxmlgui)
+ $(add_frameworks_dep solid)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtdeclarative 'widgets')
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtnetwork)
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtx11extras)
+ dev-libs/wayland
+ x11-libs/libX11
+ x11-libs/libXi
+ x11-libs/libxcb
+ x11-libs/xcb-util-keysyms
+ pam? ( virtual/pam )
+"
+DEPEND="${COMMON_DEPEND}
+ x11-proto/xproto
+"
+RDEPEND="${COMMON_DEPEND}
+ $(add_plasma_dep kde-cli-tools)
+ !<kde-plasma/kcheckpass-4.11.22-r1:4
+ !kde-plasma/kdebase-pam:0
+"
+
+RESTRICT+=" test"
+
+PATCHES=( "${FILESDIR}/${PN}-5.9.1-deps.patch" )
+
+src_prepare() {
+ kde5_src_prepare
+
+ use test || sed -i \
+ -e "/add_subdirectory(autotests)/ s/^/#/" greeter/CMakeLists.txt || die
+}
+
+src_test() {
+ # requires running environment
+ local myctestargs=(
+ -E x11LockerTest
+ )
+ kde5_src_test
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package pam PAM)
+ )
+ kde5_src_configure
+}
+
+src_install() {
+ kde5_src_install
+
+ newpamd "${FILESDIR}/kde.pam" kde
+ newpamd "${FILESDIR}/kde-np.pam" kde-np
+
+ if ! use pam; then
+ chown root "${ED}"usr/$(get_libdir)/libexec/kcheckpass || die
+ chmod +s "${ED}"usr/$(get_libdir)/libexec/kcheckpass || die
+ fi
+}